Subject: Re: [bug#32431] [PATCH] gnu: clementine: Drop dependency on qtwebkit.

From: Pierre Langlois <[email-masked]>
Date: Tue, 14 Aug 2018 10:24:17 +0100

Leo Famulari writes:

> On Mon, Aug 13, 2018 at 10:12:14PM +0100, Pierre Langlois wrote:
>> That's strange, it works OK for me. I'm on master, which branch are you
>> on? IIRC this was the error I was getting when sqlite wasn't built with
>> FTS3 support, hence the sqlite-with-fts3 package (although I'm not sure
>> what it is).
>
> I'm also working on the master branch, Guix on Debian. I can reproduce
> the error on commit 9285f8bbae9d71139873430c71b7ca7634bda31b like this:
>
> ------
> $ ./pre-inst-env guix environment --pure --ad-hoc clementine -- clementine
> 22:30:46.067 INFO  main:315                         Clementine-qt5 1.3.1                     
> __logging_message__22:30:46.071 WARN  unknown                          QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-leo'
> __logging_message__22:30:46.083 WARN  unknown                          QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-leo'
> 22:30:46.091 WARN  Database:275                     Couldn't register FTS3 tokenizer :  QSqlError("1", "Unable to fetch row", "fts3tokenize disabled")
> 22:30:46.092 DEBUG Database:449                     Applying database schema update 13 from ":/schema/schema-13.sql"
> 22:30:46.092 ERROR Database:577                     db error:  QSqlError("1", "Unable to fetch row", "unknown tokenizer: unicode")
> 22:30:46.092 ERROR Database:578                     faulty query:  "CREATE VIRTUAL TABLE songs_fts USING fts3(\n  ftstitle, ftsalbum, ftsartist, ftsalbumartist, ftscomposer, ftsgenre, ftscomment,\n  tokenize=unicode\n)"
> 22:30:46.092 ERROR Database:579                     bound values:  QMap()
> __logging_message__22:30:46.092 ERROR unknown                          Unable to update music library database
> ------
>
> If it works for you on GuixSD or another distro, we should go ahead and
> push the patch, and find out why it doesn't work for me later.

Actually, now I can reproduce the error. I already had a database
created in my home directory by the previous working installation so I
didn't see the error. If I remove '.config/Clementine' it crashes the
same way. I don't think it's because of this patch though, which means
the problem has probably been there a while :-(, I'll investigate when I
get the time tonight!

Thanks for finding that bug!
Pierre